SystemOrganization addCategory: #'Rizel-Example'!

RizelProjectConfig subclass: #RizelDemoProjectConfig
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Example'!

!RizelDemoProjectConfig methodsFor: 'bench' stamp: 'JuanPabloSandovalA 8/20/2012 00:15'!
benchmark1
	(self buildPendrive
		collect: [:file | file class = RSTextFile])
		do: #open! !

!RizelDemoProjectConfig methodsFor: 'bench' stamp: 'JuanPabloSandovalA 8/20/2012 00:15'!
benchmark2
	(self buildPendrive
		collect: [:file | file class = RSMP3File])
		do: #open! !

!RizelDemoProjectConfig methodsFor: 'bench' stamp: 'JuanPabloSandovalA 8/20/2012 00:15'!
benchmark3
	"
	[self new benchmark3] timeToRun
	"
	(self buildPendrive
		collect: [:file | file class = RSImageFile])
		do: #open.! !

!RizelDemoProjectConfig methodsFor: 'bench' stamp: 'JuanPabloSandovalA 8/31/2012 04:19'!
benchmark4! !

!RizelDemoProjectConfig methodsFor: 'bench' stamp: 'JuanPabloSandovalA 8/20/2012 00:48'!
buildPendrive
	| pendrive d1 d2 d3 d4 |
	pendrive := RSPenDrive new.
	d1 := RSDirectory new.
	d1 add: (RSMP3File named: 'MP3A' size: 2).
	d1 add: (RSMP3File named: 'MP3B' size: 2).
	d1 add: (RSMP3File named: 'MP3C' size: 2).
	d1 add: (RSMP3File named: 'MP3D' size: 2).
	d1 add: (RSMP3File named: 'MP3E' size: 2).
	d1 add: (RSMP3File named: 'MP3F' size: 2).
	d2 := RSDirectory new.
	d2 add: (RSMP4File named: 'MP4A' size: 2).
	d2 add: (RSMP4File named: 'MP4B' size: 2).
	d2 add: (RSMP4File named: 'MP4C' size: 2).
	d2 add: (RSMP4File named: 'MP4D' size: 2).
	d2 add: (RSMP4File named: 'MP4E' size: 2).
	d2 add: (RSMP4File named: 'MP4F' size: 2).
	d3 := RSDirectory new.
	d3 add: (RSTextFile named: 'TextA' size: 2).
	d3 add: (RSTextFile named: 'TextB' size: 2).
	d3 add: (RSTextFile named: 'TextC' size: 2).
	d3 add: (RSTextFile named: 'TextD' size: 2).
	d3 add: (RSTextFile named: 'TextE' size: 2).
	d3 add: (RSTextFile named: 'TextF' size: 2).
	d4 := RSDirectory new.
	d4 add: (RSImageFile named: 'ImageA' size: 2).
	d4 add: (RSImageFile named: 'ImageB' size: 2).
	d4 add: (RSImageFile named: 'ImageC' size: 2).
	d4 add: (RSImageFile named: 'ImageD' size: 2).
	d4 add: (RSImageFile named: 'ImageE' size: 2).
	d4 add: (RSImageFile named: 'ImageF' size: 2).
	pendrive add: d1.
	pendrive add: d2.
	pendrive add: d3.
	pendrive add: d4.
	^ pendrive! !

!RizelDemoProjectConfig methodsFor: 'rizel' stamp: 'JuanPabloSandovalA 8/20/2012 00:25'!
configurationClass
	^ ConfigurationOfRS! !

!RizelDemoProjectConfig methodsFor: 'rizel' stamp: 'JuanPabloSandovalA 8/21/2012 17:15'!
factor
	^ 2.! !

!RizelDemoProjectConfig methodsFor: 'rizel' stamp: 'JuanPabloSandovalA 8/20/2012 00:26'!
packageRegex
	^ 'Rizel-Test-Scenario'.! !

!RizelDemoProjectConfig methodsFor: 'rizel' stamp: 'JuanPabloSandovalA 8/20/2012 00:26'!
url
	^ 'http://ss3.gemstone.com/ss/Rizel'.! !

RizelProjectConfig subclass: #RizelMondrianConfig
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Example'!

!RizelMondrianConfig methodsFor: 'rizel' stamp: 'JuanPabloSandovalA 8/30/2012 03:12'!
benchEdges

	| view size|
	view := MOViewRenderer new.
	size := 5.
	view nodes: (1 to: size) forEach: [:each | view nodes: (1000 to: 1010). view gridLayout].
	view edges: (1 to: size) from: #yourself toAll: [:each | (1 to: size) copyWithout: each].
	view root applyLayout.
! !

!RizelMondrianConfig methodsFor: 'rizel' stamp: 'JuanPabloSandovalA 8/23/2012 18:12'!
benchManyNodes
	
	| view |
	view := MOViewRenderer new.
	view nodes: (1 to: 3200).
	view root applyLayout.! !

!RizelMondrianConfig methodsFor: 'rizel' stamp: 'JuanPabloSandovalA 8/23/2012 18:12'!
benchOpenSimpleGraph
	| view |
	view := MOViewRenderer new.
	view nodes: (1 to: 100) forEach: [:each|
		view nodes: (1 to: 500).
		view gridLayout
	].
	view gridLayout.! !

!RizelMondrianConfig methodsFor: 'rizel' stamp: 'JuanPabloSandovalA 8/30/2012 03:12'!
benchSubviews
	
	| view size|
	view := MOViewRenderer new.
	size := 5.
	view nodes: (1 to: size) forEach: [:each | view nodes: (1 to: size). view gridLayout].
	view root applyLayout.! !

!RizelMondrianConfig methodsFor: 'rizel' stamp: 'JuanPabloSandovalA 8/23/2012 18:13'!
configurationClass
	^ ConfigurationOfMondrian! !

!RizelMondrianConfig methodsFor: 'rizel' stamp: 'JuanPabloSandovalA 8/30/2012 03:48'!
factor
	^ 10! !

!RizelMondrianConfig methodsFor: 'rizel' stamp: 'JuanPabloSandovalA 8/23/2012 18:13'!
packageRegex
	^ 'Mondrian-*'.! !

!RizelMondrianConfig methodsFor: 'rizel' stamp: 'JuanPabloSandovalA 8/23/2012 18:14'!
url
	^ 'http://www.squeaksource.com/Mondrian'.! !

RizelPackageConfig subclass: #RizelDemoPackageConfig
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Example'!

!RizelDemoPackageConfig methodsFor: 'bench' stamp: 'JuanPabloSandovalA 8/20/2012 00:49'!
benchmark1
	(self buildPendrive
		collect: [:file | file class = RSTextFile])
		do: #open! !

!RizelDemoPackageConfig methodsFor: 'bench' stamp: 'JuanPabloSandovalA 8/20/2012 00:49'!
benchmark2
	(self buildPendrive
		collect: [:file | file class = RSMP3File])
		do: #open! !

!RizelDemoPackageConfig methodsFor: 'bench' stamp: 'JuanPabloSandovalA 8/20/2012 00:49'!
benchmark3
	"
	[self new benchmark3] timeToRun
	"
	(self buildPendrive
		collect: [:file | file class = RSImageFile])
			do: #open! !

!RizelDemoPackageConfig methodsFor: 'bench' stamp: 'JuanPabloSandovalA 8/20/2012 00:49'!
benchmark4
	(self buildPendrive
		collect: [:file | file class = RSMP4File])
			do: #open! !

!RizelDemoPackageConfig methodsFor: 'bench' stamp: 'JuanPabloSandovalA 8/21/2012 17:15'!
buildPendrive
	| pendrive d1 d2 d3 d4 |
	pendrive := RSPenDrive new.
	d1 := RSDirectory new.
	d1 add: (RSMP3File named: 'MP3A' size: 2).
	d1 add: (RSMP3File named: 'MP3B' size: 2).
	d1 add: (RSMP3File named: 'MP3C' size: 2).
	d1 add: (RSMP3File named: 'MP3D' size: 2).
	d1 add: (RSMP3File named: 'MP3E' size: 2).
	d1 add: (RSMP3File named: 'MP3F' size: 2).
	d2 := RSDirectory new.
	d2 add: (RSMP4File named: 'MP4A' size: 2).
	d2 add: (RSMP4File named: 'MP4B' size: 2).
	d2 add: (RSMP4File named: 'MP4C' size: 2).
	d2 add: (RSMP4File named: 'MP4D' size: 2).
	d2 add: (RSMP4File named: 'MP4E' size: 2).
	d2 add: (RSMP4File named: 'MP4F' size: 2).
	d3 := RSDirectory new.
	d3 add: (RSTextFile named: 'TextA' size: 2).
	d3 add: (RSTextFile named: 'TextB' size: 2).
	d3 add: (RSTextFile named: 'TextC' size: 2).
	d3 add: (RSTextFile named: 'TextD' size: 2).
	d3 add: (RSTextFile named: 'TextE' size: 2).
	d3 add: (RSTextFile named: 'TextF' size: 2).
	d4 := RSDirectory new.
	d4 add: (RSImageFile named: 'ImageA' size: 2).
	d4 add: (RSImageFile named: 'ImageB' size: 2).
	d4 add: (RSImageFile named: 'ImageC' size: 2).
	d4 add: (RSImageFile named: 'ImageD' size: 2).
	d4 add: (RSImageFile named: 'ImageE' size: 2).
	d4 add: (RSImageFile named: 'ImageF' size: 2).
	pendrive add: d1.
	pendrive add: d2.
	pendrive add: d3.
	pendrive add: d4.
	^ pendrive! !

!RizelDemoPackageConfig methodsFor: 'bench' stamp: 'JuanPabloSandovalA 8/20/2012 00:14'!
buildPendrive2
	| pendrive d1 d2 d3 d4 |
	pendrive := RSPenDrive new.
	d1 := RSDirectory new.
	d1 add: (RSMP3File named: 'MP3A' size: 10).

	d2 := RSDirectory new.
	d2 add: (RSMP4File named: 'MP4A' size: 10).
	
	d3 := RSDirectory new.
	d3 add: (RSTextFile named: 'TextA' size: 10).
	
	d4 := RSDirectory new.
	d4 add: (RSImageFile named: 'ImageB' size: 10).
	
	pendrive add: d1.
	pendrive add: d2.
	pendrive add: d3.
	pendrive add: d4.
	^ pendrive! !

!RizelDemoPackageConfig methodsFor: 'rizel' stamp: 'JuanPabloSandovalA 8/21/2012 17:15'!
factor
	^ 2! !

!RizelDemoPackageConfig methodsFor: 'rizel' stamp: 'JuanPabloSandovalA 8/20/2012 00:14'!
packageRegex
	^ 'Rizel-Test-Scenario'.! !

!RizelDemoPackageConfig methodsFor: 'rizel' stamp: 'JuanPabloSandovalA 8/20/2012 00:14'!
url
	^ 'http://ss3.gemstone.com/ss/Rizel'.! !

!RizelDemoPackageConfig methodsFor: 'rizel' stamp: 'JuanPabloSandovalA 8/20/2012 00:14'!
versions
	^ #('1' '2' '3' '4' '5' ) collect: [ :number | 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.',number].! !

Object subclass: #ConfigurationOfRS
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'Rizel-Example'!

!ConfigurationOfRS class methodsFor: 'development support' stamp: 'JuanPabloSandovalA 8/20/2012 00:24'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfRS class methodsFor: 'private' stamp: 'JuanPabloSandovalA 8/20/2012 00:25'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfRS class methodsFor: 'private' stamp: 'JuanPabloSandovalA 8/20/2012 00:25'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfRS class methodsFor: 'private' stamp: 'JuanPabloSandovalA 8/20/2012 00:25'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfRS class methodsFor: 'metacello tool support' stamp: 'JuanPabloSandovalA 8/20/2012 00:25'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfRS class methodsFor: 'loading' stamp: 'JuanPabloSandovalA 8/20/2012 00:24'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfRS class methodsFor: 'loading' stamp: 'JuanPabloSandovalA 8/20/2012 00:24'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfRS class methodsFor: 'loading' stamp: 'JuanPabloSandovalA 8/20/2012 00:24'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfRS class methodsFor: 'accessing' stamp: 'JuanPabloSandovalA 8/20/2012 00:23'!
project

	^self new project! !

!ConfigurationOfRS class methodsFor: 'development support' stamp: 'JuanPabloSandovalA 8/20/2012 00:24'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfRS methodsFor: 'baselines' stamp: 'JuanPabloSandovalA 8/20/2012 00:33'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/Rizel'.
		spec 
			package: 'Rizel-Test-Scenario'.].
! !

!ConfigurationOfRS methodsFor: 'symbolic versions' stamp: 'JuanPabloSandovalA 8/20/2012 00:25'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.4'.
! !

!ConfigurationOfRS methodsFor: 'accessing' stamp: 'JuanPabloSandovalA 8/20/2012 00:19'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfRS methodsFor: 'symbolic versions' stamp: 'JuanPabloSandovalA 8/20/2012 00:25'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.4'.
! !

!ConfigurationOfRS methodsFor: 'versions' stamp: 'JuanPabloSandovalA 8/20/2012 00:21'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'JuanPabloSandovalA'.
		spec timestamp: '6/24/2012 16:22'.
		spec 
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.1'. ].
! !

!ConfigurationOfRS methodsFor: 'versions' stamp: 'JuanPabloSandovalA 8/20/2012 00:21'!
version11: spec
	<version: '1.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'JuanPabloSandovalA'.
		spec timestamp: '6/24/2012 16:22'.
		spec 
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.2'. ].
! !

!ConfigurationOfRS methodsFor: 'versions' stamp: 'JuanPabloSandovalA 8/20/2012 00:22'!
version12: spec
	<version: '1.2' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'JuanPabloSandovalA'.
		spec timestamp: '6/24/2012 16:22'.
		spec 
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.3'. ].
! !

!ConfigurationOfRS methodsFor: 'versions' stamp: 'JuanPabloSandovalA 8/20/2012 00:22'!
version13: spec
	<version: '1.3' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'JuanPabloSandovalA'.
		spec timestamp: '6/24/2012 16:22'.
		spec 
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.4'. ].
! !

!ConfigurationOfRS methodsFor: 'versions' stamp: 'JuanPabloSandovalA 8/20/2012 00:22'!
version14: spec
	<version: '1.4' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'JuanPabloSandovalA'.
		spec timestamp: '6/24/2012 16:22'.
		spec 
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.5'. ].
! !

Object subclass: #RzExamples
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Example'!

!RzExamples methodsFor: 'views' stamp: 'JuanPabloSandovalA 9/7/2012 11:08'!
example1
	"
	demo using 1D visualization
	"
	RzRizelDemo new executionTimeBenchmark1.! !

!RzExamples methodsFor: 'views' stamp: 'JuanPabloSandovalA 9/7/2012 11:08'!
example2
	"
		demo using 2D visualization
	"
	RzRizelDemo new totalExecutionTime.! !

!RzExamples methodsFor: 'views' stamp: 'JuanPabloSandovalA 9/7/2012 11:08'!
example3
	"
	demo using Merge visualization. Comparing two executions
	"
	RzRizelDemo new methodExecutionTime.! !

!RzExamples methodsFor: 'browser' stamp: 'JuanPabloSandovalA 9/7/2012 11:07'!
example4
	"
	Configuration using metacello package versions.
	"
	RizelDemoPackageConfig new open.! !

!RzExamples methodsFor: 'browser' stamp: 'JuanPabloSandovalA 9/7/2012 11:07'!
example5
	"
	Configuration using metacello project versions.
	"
	RizelDemoProjectConfig new open.! !

!RzExamples methodsFor: 'browser' stamp: 'JuanPabloSandovalA 9/7/2012 11:07'!
example6
	"
	Configuration using metacello package versions of Mondrian.
	"
	RizelMondrianConfig new open.! !

Object subclass: #RzRizelDemo
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Example'!

!RzRizelDemo methodsFor: 'benchmarks' stamp: 'JuanPabloSandovalA 8/19/2012 23:48'!
benchmark1
	(self buildPendrive
		collect: [:file | file class = RSTextFile])
		do: #open! !

!RzRizelDemo methodsFor: 'benchmarks' stamp: 'JuanPabloSandovalA 8/19/2012 23:48'!
benchmark2
	(self buildPendrive
		collect: [:file | file class = RSMP3File])
		do: #open! !

!RzRizelDemo methodsFor: 'benchmarks' stamp: 'JuanPabloSandovalA 8/19/2012 23:49'!
benchmark3
	(self buildPendrive
		collect: [:file | file class = RSImageFile])
		do: #open! !

!RzRizelDemo methodsFor: 'benchmarks' stamp: 'JuanPabloSandovalA 8/19/2012 23:49'!
benchmark4
	(self buildPendrive
		collect: [:file | file class = RSMP4File])
		do: #open! !

!RzRizelDemo methodsFor: 'benchmarks' stamp: 'JuanPabloSandovalA 8/19/2012 23:45'!
buildPendrive
	| pendrive d1 d2 d3 d4 |
	pendrive := RSPenDrive new.
	d1 := RSDirectory new.
	d1 add: (RSMP3File named: 'MP3A' size: 10).
	d1 add: (RSMP3File named: 'MP3B' size: 10).
	d1 add: (RSMP3File named: 'MP3C' size: 10).
	d1 add: (RSMP3File named: 'MP3D' size: 10).
	d1 add: (RSMP3File named: 'MP3E' size: 10).
	d1 add: (RSMP3File named: 'MP3F' size: 10).
	d2 := RSDirectory new.
	d2 add: (RSMP4File named: 'MP4A' size: 10).
	d2 add: (RSMP4File named: 'MP4B' size: 10).
	d2 add: (RSMP4File named: 'MP4C' size: 10).
	d2 add: (RSMP4File named: 'MP4D' size: 10).
	d2 add: (RSMP4File named: 'MP4E' size: 10).
	d2 add: (RSMP4File named: 'MP4F' size: 10).
	d3 := RSDirectory new.
	d3 add: (RSTextFile named: 'TextA' size: 10).
	d3 add: (RSTextFile named: 'TextB' size: 10).
	d3 add: (RSTextFile named: 'TextC' size: 10).
	d3 add: (RSTextFile named: 'TextD' size: 10).
	d3 add: (RSTextFile named: 'TextE' size: 10).
	d3 add: (RSTextFile named: 'TextF' size: 10).
	d4 := RSDirectory new.
	d4 add: (RSImageFile named: 'ImageA' size: 10).
	d4 add: (RSImageFile named: 'ImageB' size: 10).
	d4 add: (RSImageFile named: 'ImageC' size: 10).
	d4 add: (RSImageFile named: 'ImageD' size: 10).
	d4 add: (RSImageFile named: 'ImageE' size: 10).
	d4 add: (RSImageFile named: 'ImageF' size: 10).
	pendrive add: d1.
	pendrive add: d2.
	pendrive add: d3.
	pendrive add: d4.
	^ pendrive! !

!RzRizelDemo methodsFor: 'testing' stamp: 'JuanPabloSandovalA 9/7/2012 11:10'!
executionTimeBenchmark1
	"
	self new executionTimeBenchmark1
	"
	| versionIds builder result |
	builder := RzBuilder new.
	versionIds := #('1' '2' '3' '4' '5' ).
	builder
		define: #input
		named: #version
		with: versionIds.
	result := builder
				execute: [:vid | 
					Gofer new url: 'http://ss3.gemstone.com/ss/Rizel';
						 version: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.' , vid;
						 load.
					[self perform: #benchmark1] timeToRun].
	RzVisualizer1D new
		values: (versionIds
				collect: [:vid | result at: RzVector <== vid]);
		 visualize.! !

!RzRizelDemo methodsFor: 'testing' stamp: 'JuanPabloSandovalA 8/19/2012 23:46'!
methodExecutionTime
	"
	self new methodExecutionTime
	"
	|merge builder result|
	builder := RzBuilder new.
	builder
		define: #input
		named: #version
		with: #('1' '4' ).
	result := builder execute: [:v | 
							Gofer new url: 'http://ss3.gemstone.com/ss/Rizel';
								 version: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.' , v;
								 load.
							10 timesRepeat: [Smalltalk garbageCollect].
							Object new. Object new.
							10 timesRepeat: [Smalltalk garbageCollect].
							builder profile: [
								self perform: #benchmark3
								] inPackagesMatching: 'Rizel-Test-Scenario'].
	merge := RzProfile merge: (result at: #('1' )) with: (result at: #('4' )).
	(RzVisualizerMerge on: merge) visualize! !

!RzRizelDemo methodsFor: 'testing' stamp: 'JuanPabloSandovalA 9/7/2012 11:11'!
totalExecutionTime
	"
	self new totalExecutionTime
	"
	| versionIds benchmarks builder result |
	builder := RzBuilder new.
	versionIds := #('1' '2' '3' '4' '5' ).
	benchmarks := #(#benchmark1 #benchmark2 #benchmark3 #benchmark4 ).
	builder
		define: #input
		named: #version
		with: versionIds.
	builder
		define: #input
		named: #benchmark
		with: benchmarks.
	result := builder
				execute: [:vid :bench | 
					Gofer new url: 'http://ss3.gemstone.com/ss/Rizel';
						 version: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.' , vid;
						 load.
					[self perform: bench] timeToRun].
	RzVisualizer2D new xValues: versionIds;
		 yValues: benchmarks;
		
		value: [:vid :bench | result at: RzVector <== vid + bench];
		 padding: 150;
		 visualize! !
